be.ehealth.business.mycarenetdomaincommons.builders.util

## Class GeneralRoutingBuilder

- java.lang.Object
- - be.ehealth.business.mycarenetdomaincommons.builders.util.GeneralRoutingBuilder

-     public final class GeneralRoutingBuilder
      extends Object

  builds the `Routing` object.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeneralRoutingBuilder` | `addCareReceiver(CareReceiverId careReceiver)`
    `GeneralRoutingBuilder` | `addCareReceiverForMutualityIdAndMutuality(String mutualityId, String mutuality)`
    `GeneralRoutingBuilder` | `addCareReceiverForSsin(String ssin)`
    `GeneralRoutingBuilder` | `addPeriod(org.joda.time.DateTime begin, org.joda.time.DateTime end)`
    `GeneralRoutingBuilder` | `addReferenceDate(org.joda.time.DateTime referenceDate)`
    `Routing` | `build()`
    `static GeneralRoutingBuilder` | `create()`
    `static GeneralRoutingBuilder` | `createFullForNissAndCurrentReferenceDate(String ssin)`
    `GeneralRoutingBuilder` | `disableValidation()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### disableValidation

          public GeneralRoutingBuilder disableValidation()

    - #### addPeriod

          public GeneralRoutingBuilder addPeriod(org.joda.time.DateTime begin,
                                                 org.joda.time.DateTime end)

    - #### addReferenceDate

          public GeneralRoutingBuilder addReferenceDate(org.joda.time.DateTime referenceDate)

    - #### addCareReceiverForSsin

          public GeneralRoutingBuilder addCareReceiverForSsin(String ssin)

    - #### addCareReceiverForMutualityIdAndMutuality

          public GeneralRoutingBuilder addCareReceiverForMutualityIdAndMutuality(String mutualityId,
                                                                                 String mutuality)

    - #### addCareReceiver

          public GeneralRoutingBuilder addCareReceiver(CareReceiverId careReceiver)

    - #### create

          public static GeneralRoutingBuilder create()

    - #### createFullForNissAndCurrentReferenceDate

          public static GeneralRoutingBuilder createFullForNissAndCurrentReferenceDate(String ssin)

    - #### build

          public Routing build()
                        throws ConnectorValidationException

      Throws:
        `ConnectorValidationException`

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.